myapps:
#  storage:
#    root: D:\Workspace\obpm-demo
  refresh:
    cache:
      monitor:
        types: Created,Changed

server:
#  port: 8094
  tomcat:
    uri-encoding: UTF-8
#  servlet:
#    context-path: ${myapps.siteid}/obpm
#    session:
#      timeout: 3600
#    jsp:
#      init-parameters:
#        development: true


spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
#    url: jdbc:mysql://114.115.143.15:3300/obpm2?characterEncoding=UTF-8&serverTimezone=GMT%2B8
#    username: TL5_enterprise
#    password: TL5_enterprise#202109
#    # 下面为连接池的补充设置，应用到上面所有数据源中
#    initialSize: 5
#    minIdle: 5
#    maxActive: 20
    # 配置获取连接等待超时的时间
    maxWait: 60000
    # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
    timeBetweenEvictionRunsMillis: 60000
    # 配置一个连接在池中最小生存的时间，单位是毫秒
    minEvictableIdleTimeMillis: 300000
    validationQuery: SELECT 1
    testWhileIdle: false
    testOnBorrow: false
    testOnReturn: false
    # 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
    filters: stat,wall,log4j
    logSlowSql: true
  cloud:
    consul:
      discovery:
        instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${random.uuid}
        prefer-ip-address: true
        health-check-interval: 10s
        health-check-path: ${myapps.siteid}/obpm/actuator/health
        hostname: ${spring.application.name}
        service-name: ${spring.application.name}
#        enabled: true
#        heartbeat:
#          enabled: true
#      host: 127.0.0.1
#      port: 8500
  application:
    name: saas-common-apis
  servlet:
    multipart:
      max-file-size: -1
      max-request-size: -1
      enabled: true
#    mvc:
#      view:
#        prefix: /
#        suffix: .jsp
#      static-path: /**
#      pathmatch:
#        matching-strategy: ANT_PATH_MATCHER
    http:
      encoding:
        force: true
        charset: UTF-8
        enabled: true
  jpa:
    database: mysql
    show-sql: true
    hibernate:
      ddl-auto: update
    properties:
      hibernate:
        default_schema:
  redis:
    lettuce: # redis连接池配置
      pool:
        max-active: -1 #连接池最大连接数(使用负值表示没有限制) 默认为30
        max-wait: -1ms # 连接池最大阻塞等待时间(使用负值表示没有限制) 默认为-1
        max-idle: 8 # 连接池中的最大空闲连接 默认为8
        min-idle: 0 # 连接池中的最小空闲连接 默认为 0


#feign:
#  client:
#    config:
#      default:
#        connect-timeout: 60000
#        read-timeout: 60000 #设置远程调用超时时间
#ribbon:
#  ReadTimeout: 20000
#  ConnectTimeout: 20000
#
#management:
#  endpoints:
#    web:
#      exposure:
#        include: '*'
#  endpoint:
#    health:
#      show-details: ALWAYS
#logging:
#  config: classpath:log4j2.xml
#  level:
#    com.bcxin: debug
